Loading...
Searching...
No Matches
Error Reporting
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object

## Topics

| Configuration

## Vendor-defined Initialization Arguments

  These initialization arguments are not a part of the GEIS specification and may change.

GeisSize | geis_error_count (Geis geis)
| Gets the number of status codes in the error stack.
GeisStatus | geis_error_code (Geis geis, GeisSize index)
| Gets the indicated status code from the error stack.
GeisString | geis_error_message (Geis geis, GeisSize index)
| Gets the localized error message, if any, associated with the indicated error.

## Detailed Description

## Function Documentation

## geis_error_code()

GeisStatus geis_error_code | ( | Geis | geis,
|  | GeisSize | index )

Gets the indicated status code from the error stack.

Parameters

  [in] | geis | A GEIS API instance or NULL for the global stack
  [in] | index | Indicates the status value to retrieve. Valid status values are between 0 and less than the value returned from geis_error_count() otherwise GEIS_STATUS_BAD_ARGUMENT will be returned.

## geis_error_count()

GeisSize geis_error_count | ( | Geis | geis | ) |

Gets the number of status codes in the error stack.

Parameters

  [in] | geis | A GEIS API instance or NULL for the global stack

This function is used primarily to determine the failure details of a GEIS function that does not explicitly return a GeisStatus value. This is required for _new() fucntions that return NULL to indicate failure. If the call to geis_new() itself fails and returns a NULL, the global error stack must be used, otherwise the API instance error stack must be used.

The error stack is reset on each GEIS API call, so failure reasons should be determined immmediately after a GEIS API call.

## geis_error_message()

GeisString geis_error_message | ( | Geis | geis,
|  | GeisSize | index )

Gets the localized error message, if any, associated with the indicated error.

Parameters

  [in] | geis | A GEIS API instance or NULL for the global stack
  [in] | index | Indicates the status value to retrieve. Valid status values are between 0 and less than the value returned from geis_error_count() otherwise GEIS_STATUS_BAD_ARGUMENT will be returned.